ch.qos.logback.core.rolling

## Class TriggeringPolicyBase<E>

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.rolling.TriggeringPolicyBase<E>

All Implemented Interfaces:
  TriggeringPolicy<E>, ContextAware, LifeCycle

Direct Known Subclasses:
  SizeBasedTriggeringPolicy

    public abstract class TriggeringPolicyBase<E>
    extends ContextAwareBase
    implements TriggeringPolicy<E>

SizeBasedTriggeringPolicy looks at size of the file being currently written to.

Author:
  Ceki Gülcü

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`TriggeringPolicyBase()`

### Method Summary

Methods
`boolean` `isStarted()`
`void` `start()`
`void` `stop()`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.rolling.TriggeringPolicy

`isTriggeringEvent`

### Constructor Detail

#### TriggeringPolicyBase

    public TriggeringPolicyBase()

### Method Detail

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`

#### stop

    public void stop()

Specified by:
  `stop` in interface `LifeCycle`

#### isStarted

    public boolean isStarted()

Specified by:
  `isStarted` in interface `LifeCycle`